commit:     af245d8864b6b5954b911a94dae3adcc178df684
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 10 11:07:37 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Sat Jul  8 07:44:11 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af245d88

app-admin/webapp-config: EAPI 7 -> 8

Bump to EAPI 8
Switch to PEP517 build mode
Fix SRC_URI (upload tarball from cache to devspace)
Sync (and fix) live

Closes: https://bugs.gentoo.org/711750
Closes: https://bugs.gentoo.org/909862
Closes: https://github.com/gentoo/gentoo/pull/30041
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 ...ig-9999.ebuild => webapp-config-1.55-r3.ebuild} | 27 +++++++++++++++++-----
 app-admin/webapp-config/webapp-config-9999.ebuild  | 27 +++++++++++++++++-----
 2 files changed, 42 insertions(+), 12 deletions(-)

diff --git a/app-admin/webapp-config/webapp-config-9999.ebuild 
b/app-admin/webapp-config/webapp-config-1.55-r3.ebuild
similarity index 61%
copy from app-admin/webapp-config/webapp-config-9999.ebuild
copy to app-admin/webapp-config/webapp-config-1.55-r3.ebuild
index 9aad95348cfe..76caefb23e6d 100644
--- a/app-admin/webapp-config/webapp-config-9999.ebuild
+++ b/app-admin/webapp-config/webapp-config-1.55-r3.ebuild
@@ -1,20 +1,20 @@
 # Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-DISTUTILS_USE_SETUPTOOLS=no
-PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
 
 inherit distutils-r1 prefix
 
 if [[ ${PV} = 9999* ]]
 then
-       EGIT_REPO_URI="https://anongit.gentoo.org/proj/${PN}.git";
+       EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/${PN}.git";
        inherit git-r3
 else
-       SRC_URI="https://dev.gentoo.org/~blueness/${PN}/${P}.tar.bz2";
-       KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86"
+       SRC_URI="https://dev.gentoo.org/~ceamac/${CATEGORY}/${PN}/${P}.tar.bz2";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
 fi
 
 DESCRIPTION="Gentoo's installer for web-based applications"
@@ -30,6 +30,18 @@ RDEPEND="
        portage? ( sys-apps/portage[${PYTHON_USEDEP}] )"
 
 python_prepare_all() {
+       # make the source from svn mirror the one in the tarball
+       if [[ ${PV} == 9999* ]]; then
+               mkdir ../webapp-config || die "Cannot create temp directory."
+               cp -r * ../webapp-config || die "Cannot copy all into the temp 
directory."
+               mv ../webapp-config . || die "Cannot move temp directory to its 
final position."
+
+               # Installation fails if version is 1.55-git
+               sed -e 's/-git//' \
+                       -i webapp-config/WebappConfig/version.py \
+                       -i WebappConfig/version.py || die "Cannot fix version."
+       fi
+
        distutils-r1_python_prepare_all
        eprefixify WebappConfig/eprefix.py config/webapp-config
 }
@@ -55,6 +67,9 @@ python_install() {
 python_install_all() {
        distutils-r1_python_install_all
 
+       # distutils-r1 installs the scripts in /usr/bin in PEP517 mode
+       mv "${ED}"/usr/bin "${ED}"/usr/sbin || die "Cannot rename scripts 
directory to /usr/sbin"
+
        insinto /etc/vhosts
        doins config/webapp-config
 

diff --git a/app-admin/webapp-config/webapp-config-9999.ebuild 
b/app-admin/webapp-config/webapp-config-9999.ebuild
index 9aad95348cfe..76caefb23e6d 100644
--- a/app-admin/webapp-config/webapp-config-9999.ebuild
+++ b/app-admin/webapp-config/webapp-config-9999.ebuild
@@ -1,20 +1,20 @@
 # Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-DISTUTILS_USE_SETUPTOOLS=no
-PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
 
 inherit distutils-r1 prefix
 
 if [[ ${PV} = 9999* ]]
 then
-       EGIT_REPO_URI="https://anongit.gentoo.org/proj/${PN}.git";
+       EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/${PN}.git";
        inherit git-r3
 else
-       SRC_URI="https://dev.gentoo.org/~blueness/${PN}/${P}.tar.bz2";
-       KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86"
+       SRC_URI="https://dev.gentoo.org/~ceamac/${CATEGORY}/${PN}/${P}.tar.bz2";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
 fi
 
 DESCRIPTION="Gentoo's installer for web-based applications"
@@ -30,6 +30,18 @@ RDEPEND="
        portage? ( sys-apps/portage[${PYTHON_USEDEP}] )"
 
 python_prepare_all() {
+       # make the source from svn mirror the one in the tarball
+       if [[ ${PV} == 9999* ]]; then
+               mkdir ../webapp-config || die "Cannot create temp directory."
+               cp -r * ../webapp-config || die "Cannot copy all into the temp 
directory."
+               mv ../webapp-config . || die "Cannot move temp directory to its 
final position."
+
+               # Installation fails if version is 1.55-git
+               sed -e 's/-git//' \
+                       -i webapp-config/WebappConfig/version.py \
+                       -i WebappConfig/version.py || die "Cannot fix version."
+       fi
+
        distutils-r1_python_prepare_all
        eprefixify WebappConfig/eprefix.py config/webapp-config
 }
@@ -55,6 +67,9 @@ python_install() {
 python_install_all() {
        distutils-r1_python_install_all
 
+       # distutils-r1 installs the scripts in /usr/bin in PEP517 mode
+       mv "${ED}"/usr/bin "${ED}"/usr/sbin || die "Cannot rename scripts 
directory to /usr/sbin"
+
        insinto /etc/vhosts
        doins config/webapp-config
 

Reply via email to